## selinux 0.6

=== Makefile ===
INIT_BOTTOM = $(DESTDIR)/etc/initramfs-tools/scripts/init-bottom/

all:

# prepend an underscore to the target name, to [hopefully] cause policy
# loading to occur as early as possible
install:
	install -m644 -D etc.selinux.config $(DESTDIR)/usr/share/selinux/config.example
	install -m755 -D load_policy $(INIT_BOTTOM)/_load_policy
	install -m755 -D restorecon $(INIT_BOTTOM)/_restorecon
	install -m755 -D update-selinux-policy $(DESTDIR)/usr/sbin/update-selinux-policy
	install -m755 -D update-selinux-config $(DESTDIR)/usr/sbin/update-selinux-config

clean:

distclean:

.PHONY: all install clean distclean

## selinux 0.2

=== debian/changelog ===
selinux (0.2) hardy; urgency=low

  * load_policy:
    - Use load_policy in /sbin instead of /usr/sbin (which may not be mounted
      yet) (LP: #126415).
  * update-selinux-policy:
    - If selinux isn't enabled then do not reload the policy.

 -- Caleb Case <ccase@tresys.com>  Fri, 29 Feb 2008 12:33:43 -0500

selinux (0.1) hardy; urgency=low

  * Initial Release.  The package supersedes selinux-basics.

 -- J. Tang <jtang@tresys.com>  Tue, 29 Jan 2008 12:00:00 +0000

=== debian/control ===
Source: selinux
Section: admin
Priority: optional
Maintainer: Ubuntu Hardened Developers <ubuntu-hardened@lists.ubuntu.com>
XSBC-Original-Maintainer: J. Tang <jtang@tresys.com>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.7.2

Package: selinux
Architecture: all
Pre-Depends: grub
Depends: policycoreutils, selinux-policy-refpolicy | selinux-policy, ${misc:Depends}, initramfs-tools, grub (>= 0.97-29ubuntu15), selinux-utils, login (>= 4.0.18.2-1ubuntu1)
Conflicts: apparmor, linux-security
Provides: linux-security
Description: Security-Enhanced Linux runtime support
 This package provides the minimal scripts necessary to run a
 Security-Enhanced Linux (SELinux) system.

## selinux 0.2+0.10init1

=== debian/changelog ===
selinux (0.2+0.10init1) hardy-security; urgency=low

  * SECURITY UPDATE: fix unsafe lockfile creation. The scope of this
    is limited by when this script is run, but it is still worthwhile
    to get this cleaned up (LP: #876994)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 21 Dec 2011 12:27:41 -0600

## selinux 0.3

=== debian/changelog ===
selinux (1:0.3) intrepid; urgency=low

  * Bump epoch to avoid old Debian "selinux" Conflict in policycoreutils
    to make selinux installable in Intrepid again.

 -- Kees Cook <kees@ubuntu.com>  Thu, 17 Jul 2008 12:18:37 -0700

## selinux 0.4

=== debian/changelog ===
selinux (1:0.4) jaunty; urgency=low

  * Adjusted depends to reflect package rename of selinux-policy-refpolicy
    to selinux-policy-ubuntu (LP: #352771).

 -- Caleb Case <ccase@tresys.com>  Mon, 23 Mar 2009 04:55:47 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: selinux
 Architecture: all
 Pre-Depends: grub
-Depends: policycoreutils, selinux-policy-refpolicy | selinux-policy, ${misc:Depends}, initramfs-tools, grub (>= 0.97-29ubuntu15), selinux-utils, login (>= 4.0.18.2-1ubuntu1)
+Depends: policycoreutils, selinux-policy-ubuntu | selinux-policy, ${misc:Depends}, initramfs-tools, grub (>= 0.97-29ubuntu15), selinux-utils, login (>= 4.0.18.2-1ubuntu1)
 Conflicts: apparmor, linux-security
 Provides: linux-security
 Description: Security-Enhanced Linux runtime support

## selinux 0.6

=== debian/changelog ===
selinux (1:0.6) karmic; urgency=low

  * Recommend policy packages instead of depends to prevent circular
    dependencies. 

 -- Caleb Case <ccase@tresys.com>  Mon, 19 Oct 2009 17:25:39 -0400

selinux (1:0.5) karmic; urgency=low

  * GRUB 2 support, new LSM switching via 'security=' (LP: #428007).
  * Added ext4 as a valid fs to relabeling script (LP: #371075).

 -- Caleb Case <ccase@tresys.com>  Wed, 09 Sep 2009 14:58:21 -0400

## selinux 0.9

=== debian/changelog ===
selinux (1:0.9) lucid; urgency=low

  * mounted-var{run,lock}.upstart, Makefile: add more restorecon
    calls for tmpfs filesystems, thanks to Stephen Lawrence (LP: #568744).

 -- Kees Cook <kees@ubuntu.com>  Thu, 22 Apr 2010 16:58:14 -0700

selinux (1:0.8) lucid; urgency=low

  * debian/selinux.{preinst,postinst}, Makefile: move /etc/initramfs-tools
    scripts to /usr/share/initramfs-tools.
  * load_policy: source functions only in initramfs.
  * mounted-dev.upstart, Makefile: move restorecon for /dev to upstart
    job (LP: #556823).

 -- Kees Cook <kees@ubuntu.com>  Tue, 06 Apr 2010 13:57:28 -0700

selinux (1:0.7) lucid; urgency=low

  * Move restorecon for /tmp to an upstart job.

 -- Kees Cook <kees@ubuntu.com>  Fri, 22 Jan 2010 12:33:04 -0800

## selinux 0.10~10.04.1

=== debian/changelog ===
selinux (1:0.10~10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: fix unsafe lockfile creation. The scope of this
    is limited by when this script is run, but it is still worthwhile
    to get this cleaned up (LP: #876994)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 21 Dec 2011 11:27:22 -0600

## selinux 0.10~10.10.1

=== debian/changelog ===
selinux (1:0.10~10.10.1) maverick-security; urgency=low

  * Fix unsafe lockfile creation. The scope of this is limited by when this
    script is run. On Ubuntu 10.10 and higher, Yama blocks exploitation of
    this issue, but we want to fix this on Ubuntu 10.04 LTS (which doesn't
    have Yama) and so this package is provided for upgrades. (LP: #876994)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 21 Dec 2011 12:14:45 -0600

## selinux 0.10~11.04.1

=== debian/changelog ===
selinux (1:0.10~11.04.1) natty-security; urgency=low

  * Fix unsafe lockfile creation. The scope of this is limited by when this
    script is run. On Ubuntu 10.10 and higher, Yama blocks exploitation of
    this issue, but we want to fix this on Ubuntu 10.04 LTS (which doesn't
    have Yama) and so this package is provided for upgrades. (LP: #876994)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 21 Dec 2011 12:19:08 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
DEB_BUILD_OPTIONS="nocheck"
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(CURDIR)/debian/tmp
DEB_UPDATE_RCD_PARAMS="start 05 2 3 4 5 . stop 95 0 6 . "

## selinux 0.10~11.10.1

=== debian/changelog ===
selinux (1:0.10~11.10.1) oneiric-security; urgency=low

  * Fix unsafe lockfile creation. The scope of this is limited by when this
    script is run. On Ubuntu 10.10 and higher, Yama blocks exploitation of
    this issue, but we want to fix this on Ubuntu 10.04 LTS (which doesn't
    have Yama) and so this package is provided for upgrades. (LP: #876994)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 21 Dec 2011 12:19:50 -0600

## selinux 0.10

=== debian/changelog ===
selinux (1:0.10) precise; urgency=low

  * Fix unsafe lockfile creation. The scope of this is limited by when this
    script is run. On Ubuntu 10.10 and higher, Yama blocks exploitation of
    this issue, but we want to fix this on Ubuntu 10.04 LTS (which doesn't
    have Yama) and so this package is provided for upgrades. (LP: #876994)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 21 Dec 2011 12:20:37 -0600

## selinux 0.11

=== Makefile ===
INIT_BOTTOM = $(DESTDIR)/usr/share/initramfs-tools/scripts/init-bottom/

all:

# prepend an underscore to the target name, to [hopefully] cause policy
# loading to occur as early as possible
install:
	install -m644 -D etc.selinux.config $(DESTDIR)/usr/share/selinux/config.example
	install -m755 -D load_policy $(INIT_BOTTOM)/_load_selinux_policy
	install -m755 -D update-selinux-policy $(DESTDIR)/usr/sbin/update-selinux-policy
	install -m755 -D update-selinux-config $(DESTDIR)/usr/sbin/update-selinux-config
	install -m644 -D mounted-tmp.upstart $(DESTDIR)/etc/init/selinux-mounted-tmp.conf
	install -m644 -D mounted-dev.upstart $(DESTDIR)/etc/init/selinux-mounted-dev.conf
	install -m644 -D mounted-varlock.upstart $(DESTDIR)/etc/init/selinux-mounted-varlock.conf
	install -m644 -D mounted-varrun.upstart $(DESTDIR)/etc/init/selinux-mounted-varrun.conf

clean:

distclean:

.PHONY: all install clean distclean

=== debian/changelog ===
selinux (1:0.11) precise; urgency=low

  * Make update-selinux-policy work when only a base policy module is used.
    (LP: #955426)

 -- Tim Tickel <twt@google.com>  Wed, 14 Mar 2012 13:06:49 -0700

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 
 Package: selinux
 Architecture: all
-Pre-Depends: grub
-Depends: policycoreutils, selinux-policy-ubuntu | selinux-policy, ${misc:Depends}, initramfs-tools, grub (>= 0.97-29ubuntu15), selinux-utils, login (>= 4.0.18.2-1ubuntu1)
+Pre-Depends: grub-pc
+Depends: policycoreutils, ${misc:Depends}, initramfs-tools, grub-pc, selinux-utils, login (>= 4.0.18.2-1ubuntu1)
+Recommends: selinux-policy-ubuntu | selinux-policy
 Conflicts: apparmor, linux-security
 Provides: linux-security
 Description: Security-Enhanced Linux runtime support
